<template>
  <div id="app">
    <router-view v-if="!isAuthenticated || (isAuthenticated && getAuthUser)"/>
    <div v-else>
      Cagando....
    </div>
  </div>
</template>

<script>
import { mapState, mapGetters } from "vuex";

export default {
  name: "app",
  computed: {
    //Mapeo los getters del módulo auth para poder emplear sus funciones.
    ...mapGetters("auth", ["isAuthenticated", "getAuthUser"])
  },
  created: function() {
    if (this.isAuthenticated && !this.getAuthUser) {
      this.$store.dispatch('auth/user').catch(error => {
        this.$store.dispatch('auth/logout');        
      });
    }
  }
}
</script>

<style lang="scss">

@import './assets/custom-vars.scss';
// Import Bootstrap and BootstrapVue source SCSS files
@import '~bootstrap/scss/bootstrap.scss';
@import '~bootstrap-vue/src/index.scss';



@import './assets/css/animate.css';
@import './assets/css/font-awesome.min.css';
@import './assets/css/themify-icons.css';
@import './assets/css/ionicons.min.css';

@import './assets/css/style.scss';
</style>
